#!/usr/bin/env bash
# Copyright (c) 2016-2024 The Hush developers
# Copyright (c) 2024-2026 The DragonX developers
# Released under the GPLv3

set -e
set -x

#hardcode and uncomment if dragonxd is not running on this machine
#VERSION=1.0.0
VERSION=$(./src/dragonxd --version|grep version|cut -d' ' -f4|cut -d- -f1|sed 's/v//g')
DIR="dragonx-$VERSION-linux-amd64"
FILE="$DIR.tar"
TIME=$(perl -e 'print time')

if [ -d "build" ]
then
    mv build build.$TIME
    echo "Moved existing build/ dir to build.$TIME"
fi
mkdir build
BUILD="build/$DIR"
mkdir $BUILD
echo "Created new build dir $BUILD"
cp contrib/asmap/asmap.dat $BUILD
cp sapling*.params $BUILD
cp util/bootstrap-dragonx.sh $BUILD
cd src
cp dragonxd dragonx-cli dragonx-tx ../$BUILD
cd ../$BUILD
strip dragonxd dragonx-cli dragonx-tx
cd ..
tar -f $FILE -c  dragonx-$VERSION-linux-amd64/*
gzip -9 $FILE
sha256sum *.gz
du -sh *.gz
